#include <bits/stdc++.h>

using namespace std;


int main()
{
    int n;
    cin>>n;
    int r[1006], c[1006];
    for (int i=1; i<=n; i++)
    {
        cin>>r[i]>>c[i];
    }
    int t=0;
    if (n==2)
    {
        if ( (r[1]==r[2]) || (c[1]==c[2]) )
        {
            t=1;
        }
        else
        {
            t=0;
        }
    }
    else
    {
        t=0;
    }
    cout<<t;
    return 0;
}